Subject: bug#73723: 31.0.50; Add copy/kill/mark commands to isearch

From: Juri Linkov <[email-masked]>
Date: Thu, 10 Oct 2024 21:40:15 +0300

>> > FWIW, in isearch+.el I define `isearchp-kill-ring-save'
>> > and bind it to `M-w'.
>> > This has been the case since 2013.
>> 
>> Since `M-w' can't be used according to the comments in
>> https://urldefense.com/v3/__https://old.reddit.com/r/emacs/comments/1fzv
>> wig/copy_search_string_to_killring/__;!!ACWV5N9M2RV99hQ!L5HGxhm07QP4heBq
>> z0oZG6Hs1DF2e5hty8aAHJG_sxr39y7pRCFJPoP2E_m9P8iyv-lGni4NgqrGZg$
>
> I don't see anything there that says why `M-w' can't
> be used.  What's the reason you think is given there?
> Is it this?
>
>   "I have muscle memory for pressing M-w to end the
>    search and save the region from where point was
>    before starting isearch to the location where the
>    search string was found."
>
> ?

Yes, I meant exactly this feedback.

> There are other ways to get the region to be from the
> initial position to the end (if forward) or the start
> (if backward) of the search match.

Like 'C-x C-x' etc.  But 'C-x C-x' can't activate the region
on the last match.  Therefore we need another key binding.